Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out (linux)

RESOLVED INCOMPLETE

Status

()

Firefox
Search
RESOLVED INCOMPLETE
6 months ago
a month ago

People

(Reporter: jmaher, Unassigned)

Tracking

({intermittent-failure})

53 Branch
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 months ago
creating a new bug from bug 1238301, this is linux, not win8.  Specifically linux debug e10s.

we have 2 instances in the last week:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=104589329&lineNumber=5367

and:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=105099308&lineNumber=4295


from the second one, I see this in the log:
[task 2017-06-07T06:18:37.079758Z] 06:18:37     INFO - TEST-START | browser/components/search/test/browser_oneOffHeader.js
[task 2017-06-07T06:18:37.357863Z] 06:18:37     INFO - GECKO(1547) | --DOMWINDOW == 0 (0x7f5ea129a800) [pid = 1661] [serial = 25] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:38.343057Z] 06:18:38     INFO - GECKO(1547) | --DOMWINDOW == 5 (0x7fea31c26000) [pid = 1617] [serial = 35] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:38.643938Z] 06:18:38     INFO - GECKO(1547) | --DOMWINDOW == 11 (0x7f89f1f7a800) [pid = 1601] [serial = 31] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:38.645987Z] 06:18:38     INFO - GECKO(1547) | --DOMWINDOW == 10 (0x7f89f1f8f000) [pid = 1601] [serial = 35] [outer = (nil)] [url = http://mochi.test:8888/browser/browser/components/search/test/]
[task 2017-06-07T06:18:38.647346Z] 06:18:38     INFO - GECKO(1547) | --DOMWINDOW == 9 (0x7f89f1f7e000) [pid = 1601] [serial = 33] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.055551Z] 06:18:42     INFO - GECKO(1547) | --DOCSHELL 0x7fea31c27000 == 1 [pid = 1617] [id = {b56bf646-4a29-4dcf-bfef-633088ea3030}]
[task 2017-06-07T06:18:42.058384Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 4 (0x7fea31c39800) [pid = 1617] [serial = 36] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.461831Z] 06:18:42     INFO - GECKO(1547) | --DOCSHELL 0x7f89f3341800 == 1 [pid = 1601] [id = {dc6e7da2-e0d2-4756-bf94-a099ea4739b1}]
[task 2017-06-07T06:18:42.463762Z] 06:18:42     INFO - GECKO(1547) | --DOCSHELL 0x7f89f1ea0800 == 0 [pid = 1601] [id = {db98de3b-fa77-41b6-8b91-8707eb067137}]
[task 2017-06-07T06:18:42.465252Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 8 (0x7f89f1f8a800) [pid = 1601] [serial = 34] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.466931Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 7 (0x7f89f31eb800) [pid = 1601] [serial = 37] [outer = (nil)] [url = http://mochi.test:8888/browser/browser/components/search/test/]
[task 2017-06-07T06:18:42.469006Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 6 (0x7f89f2720000) [pid = 1601] [serial = 36] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.473524Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 5 (0x7f89f232c000) [pid = 1601] [serial = 32] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.766356Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 40 (0x7fa079fbb800) [pid = 1547] [serial = 24] [outer = (nil)] [url = about:searchreset?data=a%20search&purpose=searchbar]
[task 2017-06-07T06:18:42.774017Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 39 (0x7fa0798bb000) [pid = 1547] [serial = 29] [outer = (nil)] [url = about:preferences]
[task 2017-06-07T06:18:42.814700Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 38 (0x7fa06f359000) [pid = 1547] [serial = 20] [outer = (nil)] [url = about:searchreset?data=a%20search&purpose=searchbar]
[task 2017-06-07T06:18:42.825062Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 37 (0x7fa059ab1800) [pid = 1547] [serial = 51] [outer = (nil)] [url = about:newtab]
[task 2017-06-07T06:18:42.826421Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 36 (0x7fa057a9f800) [pid = 1547] [serial = 55] [outer = (nil)] [url = about:newtab]
[task 2017-06-07T06:18:42.827834Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 35 (0x7fa063c98800) [pid = 1547] [serial = 36] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.829265Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 34 (0x7fa057aac000) [pid = 1547] [serial = 39] [outer = (nil)] [url = about:mozilla]
[task 2017-06-07T06:18:42.830587Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 33 (0x7fa063478800) [pid = 1547] [serial = 37] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.833758Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 32 (0x7fa06993a800) [pid = 1547] [serial = 26] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.839875Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 31 (0x7fa063470000) [pid = 1547] [serial = 33] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.842080Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 30 (0x7fa079a0f000) [pid = 1547] [serial = 41] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.844004Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 29 (0x7fa063473000) [pid = 1547] [serial = 34] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.847977Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 28 (0x7fa06e589000) [pid = 1547] [serial = 18] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.851257Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 27 (0x7fa079a1d000) [pid = 1547] [serial = 42] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.853878Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 26 (0x7fa06bd47800) [pid = 1547] [serial = 19] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.857355Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 25 (0x7fa075de5000) [pid = 1547] [serial = 22] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.862453Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 24 (0x7fa0740aa800) [pid = 1547] [serial = 23] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.865542Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 23 (0x7fa06cdd8800) [pid = 1547] [serial = 27] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.869559Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 22 (0x7fa063ca8800) [pid = 1547] [serial = 38] [outer = (nil)] [url = about:searchreset?data=a%20search&purpose=searchbar]
[task 2017-06-07T06:18:42.871936Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 21 (0x7fa079a9c000) [pid = 1547] [serial = 49] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.873929Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 20 (0x7fa057ab1000) [pid = 1547] [serial = 53] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.875847Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 19 (0x7fa057cbd800) [pid = 1547] [serial = 54] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.878550Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 18 (0x7fa0620e2800) [pid = 1547] [serial = 46] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.880484Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 17 (0x7fa05f29b000) [pid = 1547] [serial = 45] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.882801Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 16 (0x7fa05ab5c800) [pid = 1547] [serial = 31] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:42.885787Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 15 (0x7fa064020800) [pid = 1547] [serial = 43] [outer = (nil)] [url = about:newtab]
[task 2017-06-07T06:18:42.887897Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 14 (0x7fa076715000) [pid = 1547] [serial = 28] [outer = (nil)] [url = about:searchreset?data=a%20search&purpose=searchbar]
[task 2017-06-07T06:18:42.890793Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 13 (0x7fa06354f800) [pid = 1547] [serial = 47] [outer = (nil)] [url = about:newtab]
[task 2017-06-07T06:18:42.893696Z] 06:18:42     INFO - GECKO(1547) | --DOMWINDOW == 12 (0x7fa059aa7800) [pid = 1547] [serial = 50] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:44.845222Z] 06:18:44     INFO - GECKO(1547) | --DOMWINDOW == 4 (0x7f89f3342000) [pid = 1601] [serial = 38] [outer = (nil)] [url = http://mochi.test:8888/browser/browser/components/search/test/]
[task 2017-06-07T06:18:44.847477Z] 06:18:44     INFO - GECKO(1547) | --DOMWINDOW == 3 (0x7f89f1ea1000) [pid = 1601] [serial = 41] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:48.127749Z] 06:18:48     INFO - GECKO(1547) | --DOMWINDOW == 3 (0x7fea31c2b000) [pid = 1617] [serial = 37] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:49.070136Z] 06:18:49     INFO - GECKO(1547) | --DOMWINDOW == 2 (0x7f89f1f77800) [pid = 1601] [serial = 40] [outer = (nil)] [url = http://mochi.test:8888/browser/browser/components/search/test/]
[task 2017-06-07T06:18:49.072112Z] 06:18:49     INFO - GECKO(1547) | --DOMWINDOW == 1 (0x7f8a000a0800) [pid = 1601] [serial = 39] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:49.073566Z] 06:18:49     INFO - GECKO(1547) | --DOMWINDOW == 0 (0x7f89f1ea7000) [pid = 1601] [serial = 42] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:18:49.710244Z] 06:18:49     INFO - GECKO(1547) | --DOMWINDOW == 2 (0x7fea31c3f800) [pid = 1617] [serial = 38] [outer = (nil)] [url = about:blank]
[task 2017-06-07T06:20:07.114594Z] 06:20:07     INFO - TEST-INFO | started process screentopng
[task 2017-06-07T06:20:08.480936Z] 06:20:08     INFO - TEST-INFO | screentopng: exit 0
[task 2017-06-07T06:20:08.481361Z] 06:20:08     INFO - Buffered messages logged at 06:18:37
[task 2017-06-07T06:20:08.483246Z] 06:20:08     INFO - Entering test bound init
[task 2017-06-07T06:20:08.486688Z] 06:20:08     INFO - Waiting for engine to be added: testEngine.xml
[task 2017-06-07T06:20:08.488600Z] 06:20:08     INFO - Search engine added: testEngine.xml
[task 2017-06-07T06:20:08.490460Z] 06:20:08     INFO - Leaving test bound init
[task 2017-06-07T06:20:08.492441Z] 06:20:08     INFO - Entering test bound test_notext
[task 2017-06-07T06:20:08.494663Z] 06:20:08     INFO - Opening search panel
[task 2017-06-07T06:20:08.499879Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Header has the correct index selected with no search terms. - 
[task 2017-06-07T06:20:08.502036Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Search header string is correct when no search terms have been entered - 
[task 2017-06-07T06:20:08.505954Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Header has the correct index when no search terms have been entered and the Change Search Settings button is selected. - 
[task 2017-06-07T06:20:08.508188Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Header has the correct text when no search terms have been entered and the Change Search Settings button is selected. - 
[task 2017-06-07T06:20:08.513460Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Header has the correct index selected when a search engine has been selected - 
[task 2017-06-07T06:20:08.516080Z] 06:20:08     INFO - TEST-PASS | browser/components/search/test/browser_oneOffHeader.js | Is the header text correct when a search engine is selected and no terms have been entered. - 
[task 2017-06-07T06:20:08.518886Z] 06:20:08     INFO - Closing search panel
[task 2017-06-07T06:20:08.520974Z] 06:20:08     INFO - Buffered messages logged at 06:18:38
[task 2017-06-07T06:20:08.523786Z] 06:20:08     INFO - Leaving test bound test_notext
[task 2017-06-07T06:20:08.527941Z] 06:20:08     INFO - Entering test bound test_text
[task 2017-06-07T06:20:08.531157Z] 06:20:08     INFO - Opening search panel
[task 2017-06-07T06:20:08.532990Z] 06:20:08     INFO - Buffered messages finished
[task 2017-06-07T06:20:08.535861Z] 06:20:08     INFO - TEST-UNEXPECTED-FAIL | browser/components/search/test/browser_oneOffHeader.js | Test timed out - 
[task 2017-06-07T06:20:08.539512Z] 06:20:08     INFO - Search engine removed: testEngine.xml
[task 2017-06-07T06:20:08.541751Z] 06:20:08     INFO - GECKO(1547) | MEMORY STAT | vsize 2361MB | residentFast 266MB | heapAllocated 115MB
[task 2017-06-07T06:20:08.544559Z] 06:20:08     INFO - TEST-OK | browser/components/search/test/browser_oneOffHeader.js | took 90497ms


This is a lower rate failure, not a priority, but worth documenting so we can keep track of this.
(Reporter)

Updated

6 months ago
Summary: Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out → Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out (linux)
(Reporter)

Updated

6 months ago
Keywords: intermittent-failure
Also hits on Windows 8 x64 debug: https://treeherder.mozilla.org/logviewer.html#?job_id=105549690&repo=autoland
Summary: Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out (linux) → Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out
Sorry, autoclassification tab didn't suggest the bug for Windows 8.
Summary: Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out → Intermittent browser/components/search/test/browser_oneOffHeader.js | Test timed out (linux)

Comment 3

6 months ago
4 failures in 814 pushes (0.005 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-esr45: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* osx-10-6: 1
* linux64: 1
* linux32-devedition: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 4

6 months ago
2 failures in 892 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 5

5 months ago
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 6

5 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 7

5 months ago
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 8

3 months ago
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-08-28&endday=2017-09-03&tree=all
(Reporter)

Updated

2 months ago
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Resolution: --- → INCOMPLETE

Comment 9

a month ago
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371004&startday=2017-11-06&endday=2017-11-12&tree=all
You need to log in before you can comment on or make changes to this bug.